[arch-commits] Commit in qalculate-kde/trunk (3 files)

Eric Bélanger eric at archlinux.org
Fri Jan 8 02:23:21 EST 2010


    Date: Friday, January 8, 2010 @ 02:23:21
  Author: eric
Revision: 62406

upgpkg: qalculate-kde 0.9.7-1
    Upstream update, Removed old patch

Modified:
  qalculate-kde/trunk/ChangeLog
  qalculate-kde/trunk/PKGBUILD
Deleted:
  qalculate-kde/trunk/qalculate-kde-0.9.6-cln-config.patch

--------------------------------------+
 ChangeLog                            |    5 +++++
 PKGBUILD                             |   20 ++++++++------------
 qalculate-kde-0.9.6-cln-config.patch |   32 --------------------------------
 3 files changed, 13 insertions(+), 44 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2010-01-08 07:10:20 UTC (rev 62405)
+++ ChangeLog	2010-01-08 07:23:21 UTC (rev 62406)
@@ -1,3 +1,8 @@
+2010-01-07  Eric Belanger  <eric at archlinux.org>
+
+	* qalculate-kde 0.9.7-1
+	* Upstream update
+
 2008-07-22  Eric Belanger  <eric at archlinux.org>
 
 	* qalculate-kde 0.9.6-3

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-08 07:10:20 UTC (rev 62405)
+++ PKGBUILD	2010-01-08 07:23:21 UTC (rev 62406)
@@ -4,24 +4,20 @@
 # Contributor: J. Santiago Hirschfeld <jsantiagoh at yahoo.com.ar>
 
 pkgname=qalculate-kde
-pkgver=0.9.6
-pkgrel=4
+pkgver=0.9.7
+pkgrel=1
 pkgdesc="KDE frontend for libqalculate"
 arch=('i686' 'x86_64')
 url="http://qalculate.sourceforge.net/"
 license=('GPL')
-depends=('libqalculate' 'kdelibs3' 'cln>=1.2.0')
-source=(http://downloads.sourceforge.net/sourceforge/qalculate/${pkgname}-${pkgver}.tar.gz \
-        qalculate-kde-0.9.6-cln-config.patch)
-md5sums=('2d41dc887ad3cf5de29ba4d570de263a' '2d966c2c8c0d3c8f1b6d5eace248daea')
-sha1sums=('f9ebf4e3b7a94d867f45061bc528f0b1e31f72d6' '5792b6b4ba5bebf3b309725bd77a631423bc2e83')
+depends=('libqalculate>=0.9.7' 'kdelibs3' 'cln>=1.2.0')
+source=(http://downloads.sourceforge.net/sourceforge/qalculate/${pkgname}-${pkgver}.tar.gz)
+md5sums=('90104c97894f4775737349ad99428bcf')
+sha1sums=('fa0db8a3fb80264328770c4bbcbc0892a4d4ce91')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  patch -p1 < ../qalculate-kde-0.9.6-cln-config.patch || return 1
-  autoconf || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/opt/kde --without-arts || return 1
-  sed -i -e "s:\$CXXFLAGS -fno-exceptions:\$CXXFLAGS:" configure || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }

Deleted: qalculate-kde-0.9.6-cln-config.patch
===================================================================
--- qalculate-kde-0.9.6-cln-config.patch	2010-01-08 07:10:20 UTC (rev 62405)
+++ qalculate-kde-0.9.6-cln-config.patch	2010-01-08 07:23:21 UTC (rev 62406)
@@ -1,32 +0,0 @@
-diff -Naur qalculate-kde-0.9.6/configure.in qalculate-kde-0.9.6.new/configure.in
---- qalculate-kde-0.9.6/configure.in	2007-06-17 07:33:58.000000000 -0400
-+++ qalculate-kde-0.9.6.new/configure.in	2008-06-15 07:20:32.000000000 -0400
-@@ -73,11 +73,7 @@
- 
- AC_LANG([C++])
- 
--AC_PATH_CLN(1.1.0, [
--     	LIBS="$LIBS $CLN_LIBS"
--     	CPPFLAGS="$CPPFLAGS $CLN_CPPFLAGS"
--  	AC_DEFINE(HAVE_LIBCLN,1,[If CLN can be used])
--], AC_MSG_ERROR([No suitable installed version of CLN could be found.]))
-+PKG_CHECK_MODULES([CLN], [cln >= 1.1.0])
- 
- PKG_CHECK_MODULES(QALCULATE, [
- 	libxml-2.0
-diff -Naur qalculate-kde-0.9.6/configure.in.in qalculate-kde-0.9.6.new/configure.in.in
---- qalculate-kde-0.9.6/configure.in.in	2007-05-18 04:10:17.000000000 -0400
-+++ qalculate-kde-0.9.6.new/configure.in.in	2008-06-15 07:20:47.000000000 -0400
-@@ -8,11 +8,7 @@
- 
- AC_LANG([C++])
- 
--AC_PATH_CLN(1.1.0, [
--     	LIBS="$LIBS $CLN_LIBS"
--     	CPPFLAGS="$CPPFLAGS $CLN_CPPFLAGS"
--  	AC_DEFINE(HAVE_LIBCLN,1,[If CLN can be used])
--], AC_MSG_ERROR([No suitable installed version of CLN could be found.]))
-+PKG_CHECK_MODULES([CLN], [cln >= 1.1.0])
- 
- PKG_CHECK_MODULES(QALCULATE, [
- 	libxml-2.0



More information about the arch-commits mailing list